ranges::iter_distance_fn Struct Reference
Iterator
Inheritance diagram for ranges::iter_distance_fn:

## Public Member Functions

template<typename I , typename S >
CPP_TEMPLATE_AUX_0 | c (requires input_or_output_iterator< I > &&sentinel_for< S, I >) ccconstexpr iter_difference_t< I > operator()(I first

## Public Attributes

CPP_TEMPLATE_AUX_0 S last | const

## Member Data Documentation

## const

CPP_TEMPLATE_AUX_0 S last ranges::iter_distance_fn::const

Initial value:
{
return iter_distance_fn::impl_i(static_cast<I &&>(first),
static_cast<S &&>(last),
sentinel_tag_of<S, I>())
ranges::I
CPP_TEMPLATE_AUX_0 I(requires bidirectional_iterator< I > &&sortable< I, C, P >) III inplace_merge(I first
function template inplace_merge
meta::first
front< Pair > first
Retrieve the first element of the pair Pair.
Definition: meta.hpp:2251